package Classes::Huawei::CloudEngine;
our @ISA = qw(Classes::Huawei);
use strict;

sub init {
  my $self = shift;
my $work_in_progress = {
#$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'HUAWEI-ENTITY-EXTENT-MIB'} = {
    hwEntityExtentMIB => '1.3.6.1.4.1.2011.5.25.31',
    hwEntityExtObjects => '1.3.6.1.4.1.2011.5.25.31.1',
    hwEntityState => '1.3.6.1.4.1.2011.5.25.31.1.1',
    hwEntityStateTable => '1.3.6.1.4.1.2011.5.25.31.1.1.1',
    hwEntityStateEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1',
    hwEntityAdminStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.1',
    hwEntityAdminStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::HwAdminState',
    hwEntityOperStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.2',
    hwEntityOperStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::HwOperState',
    hwEntityStandbyStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.3',
    hwEntityStandbyStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::HwStandbyStatus',
    hwEntityAlarmLight => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.4',
    hwEntityCpuUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.5',
    hwEntityCpuUsageThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.6',
    hwEntityMemUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.7',
    hwEntityMemUsageThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.8',
    hwEntityMemSize => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.9',
    hwEntityUpTime => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.10',
    hwEntityTemperature => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.11',
    hwEntityTemperatureThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.12',
    hwEntityVoltage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.13',
    hwEntityVoltageLowThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.14',
    hwEntityVoltageHighThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.15',
    hwEntityTemperatureLowThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.16',
    hwEntityOpticalPower => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.17',
    hwEntityCurrent => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.18',
    hwEntityMemSizeMega => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.19',
    hwEntityPortType => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.20',
    hwEntityPortTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityPortType',
    hwEntityDuplex => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.21',
    hwEntityDuplexDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityDuplex',
    hwEntityOpticalPowerRx => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.22',
    hwEntityCpuUsageLowThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.23',
    hwEntityBoardPower => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.24',
    hwEntityCpuFrequency => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.25',
    hwEntitySupportFlexCard => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.26',
    hwEntitySupportFlexCardDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntitySupportFlexCard',
    hwEntityBoardClass => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.27',
    hwEntityBoardClassDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityBoardClass',
    hwNseOpmStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.28',
    hwEntityCpuMaxUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.29',
    hwEntityCPUType => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.30',
    hwEntityMemoryType => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.31',
    hwEntityFlashSize => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.32',
    hwEntityIfUpTimes => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.33',
    hwEntityIfDownTimes => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.34',
    hwEntityCPUAvgUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.35',
    hwEntityMemoryAvgUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.36',
    hwEntityMemUsed => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.37',
    hwEntityTotalFanNum => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.38',
    hwEntityNomalFanNum => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.39',
    hwEntityTotalPwrNum => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.40',
    hwEntityNomalPwrNum => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.41',
    hwEntityFaultLight => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.42',
    hwEntityFaultLightDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityFaultLight',
    hwEntityBoardName => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.43',
    hwEntityBoardDescription => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.44',
    hwEntity5MinCpuUsage => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.45',
    hwEntityStartMode => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.46',
    hwEntityStartModeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityStartMode',
    hwEntitySplitAttribute => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.47',
    hwEntityFaultLightKeepTime => '1.3.6.1.4.1.2011.5.25.31.1.1.1.1.48',
    hwRUModuleInfoTable => '1.3.6.1.4.1.2011.5.25.31.1.1.2',
    hwRUModuleInfoEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1',
    hwEntityBomId => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.1',
    hwEntityBomEnDesc => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.2',
    hwEntityBomLocalDesc => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.3',
    hwEntityManufacturedDate => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.4',
    hwEntityManufactureCode => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.5',
    hwEntityCLEICode => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.6',
    hwEntityUpdateLog => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.7',
    hwEntityArchivesInfoVersion => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.8',
    hwEntityOpenBomId => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.9',
    hwEntityIssueNum => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.10',
    hwEntityBoardType => '1.3.6.1.4.1.2011.5.25.31.1.1.2.1.11',
    hwOpticalModuleInfoTable => '1.3.6.1.4.1.2011.5.25.31.1.1.3',
    hwOpticalModuleInfoEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1',
    hwEntityOpticalMode => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.1',
    hwEntityOpticalModeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalMode',
    hwEntityOpticalWaveLength => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.2',
    hwEntityOpticalTransDistance => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.3',
    hwEntityOpticalVendorSn => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.4',
    hwEntityOpticalTemperature => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.5',
    hwEntityOpticalVoltage => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.6',
    hwEntityOpticalBiasCurrent => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.7',
    hwEntityOpticalRxPower => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.8',
    hwEntityOpticalTxPower => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.9',
    hwEntityOpticalType => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.10',
    hwEntityOpticalTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalType',
    hwEntityOpticalTransBW => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.11',
    hwEntityOpticalFiberType => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.12',
    hwEntityOpticalFiberTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalFiberType',
    hwEntityOpticalRxLowThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.13',
    hwEntityOpticalRxHighThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.14',
    hwEntityOpticalTxLowThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.15',
    hwEntityOpticalTxHighThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.16',
    hwEntityOpticalPlug => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.17',
    hwEntityOpticalPlugDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalPlug',
    hwEntityOpticalDirectionType => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.18',
    hwEntityOpticalDirectionTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalDirectionType',
    hwEntityOpticalUserEeprom => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.19',
    hwEntityOpticalRxLowWarnThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.20',
    hwEntityOpticalRxHighWarnThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.21',
    hwEntityOpticalTxLowWarnThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.22',
    hwEntityOpticalTxHighWarnThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.23',
    hwEntityOpticalVenderName => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.24',
    hwEntityOpticalVenderPn => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.25',
    hwEntityOpticalAuthenticationStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.26',
    hwEntityOpticalAuthenticationStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalAuthenticationStatus',
    hwEntityOpticalTunableType => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.27',
    hwEntityOpticalTunableTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalTunableType',
    hwEntityOpticalWaveLengthDecimal => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.28',
    hwEntityOpticalTunableModuleChannel => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.29',
    hwEntityOpticalWaveBand => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.30',
    hwEntityOpticalWaveBandDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityOpticalWaveBand',
    hwEntityOpticalLaneBiasCurrent => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.31',
    hwEntityOpticalLaneRxPower => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.32',
    hwEntityOpticalLaneTxPower => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.33',
    hwEntityOpticalVendorOUI => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.34',
    hwEntityOpticalVendorRev => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.35',
    hwEntityOpticalGponSN => '1.3.6.1.4.1.2011.5.25.31.1.1.3.1.36',
    hwMonitorInputTable => '1.3.6.1.4.1.2011.5.25.31.1.1.4',
    hwMonitorInputEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1',
    hwMonitorInputIndex => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1.1',
    hwMonitorInputName => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1.2',
    hwMonitorInputState => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1.3',
    hwMonitorInputStateEnable => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1.4',
    hwMonitorInputRowStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.4.1.5',
    hwMonitorOutputTable => '1.3.6.1.4.1.2011.5.25.31.1.1.5',
    hwMonitorOutputEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1',
    hwMonitorOutputIndex => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1.1',
    hwMonitorOutputRuleIndex => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1.2',
    hwMonitorOutputMask => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1.3',
    hwMonitorOutputKey => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1.4',
    hwMonitorOutputRowStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.5.1.5',
    hwEntPowerUsedInfoTable => '1.3.6.1.4.1.2011.5.25.31.1.1.6',
    hwEntPowerUsedInfoEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.6.1',
    hwEntPowerUsedInfoBoardName => '1.3.6.1.4.1.2011.5.25.31.1.1.6.1.1',
    hwEntPowerUsedInfoBoardType => '1.3.6.1.4.1.2011.5.25.31.1.1.6.1.2',
    hwEntPowerUsedInfoBoardSlot => '1.3.6.1.4.1.2011.5.25.31.1.1.6.1.3',
    hwEntPowerUsedInfoPower => '1.3.6.1.4.1.2011.5.25.31.1.1.6.1.4',
    hwVirtualCableTestTable => '1.3.6.1.4.1.2011.5.25.31.1.1.7',
    hwVirtualCableTestEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1',
    hwVirtualCableTestIfIndex => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.1',
    hwVirtualCableTestPairStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.2',
    hwVirtualCableTestPairStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestPairStatus',
    hwVirtualCableTestPairLength => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.3',
    hwVirtualCableTestOperation => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.4',
    hwVirtualCableTestOperationDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestOperation',
    hwVirtualCableTestLastTime => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.5',
    hwVirtualCableTestPairAStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.6',
    hwVirtualCableTestPairAStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestPairAStatus',
    hwVirtualCableTestPairBStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.7',
    hwVirtualCableTestPairBStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestPairBStatus',
    hwVirtualCableTestPairCStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.8',
    hwVirtualCableTestPairCStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestPairCStatus',
    hwVirtualCableTestPairDStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.9',
    hwVirtualCableTestPairDStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwVirtualCableTestPairDStatus',
    hwVirtualCableTestPairALength => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.10',
    hwVirtualCableTestPairBLength => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.11',
    hwVirtualCableTestPairCLength => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.12',
    hwVirtualCableTestPairDLength => '1.3.6.1.4.1.2011.5.25.31.1.1.7.1.13',
    hwTemperatureThresholdTable => '1.3.6.1.4.1.2011.5.25.31.1.1.8',
    hwTemperatureThresholdEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1',
    hwEntityTempSlotId => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.1',
    hwEntityTempI2CId => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.2',
    hwEntityTempAddr => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.3',
    hwEntityTempChannel => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.4',
    hwEntityTempStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.5',
    hwEntityTempStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityTempStatus',
    hwEntityTempValue => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.6',
    hwEntityTempMinorAlmThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.7',
    hwEntityTempMajorAlmThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.8',
    hwEntityTempFatalAlmThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.8.1.9',
    hwVoltageInfoTable => '1.3.6.1.4.1.2011.5.25.31.1.1.9',
    hwVoltageInfoEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1',
    hwEntityVolSlot => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.1',
    hwEntityVolI2CId => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.2',
    hwEntityVolAddr => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.3',
    hwEntityVolChannel => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.4',
    hwEntityVolStatus => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.5',
    hwEntityVolStatusDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityVolStatus',
    hwEntityVolRequired => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.6',
    hwEntityVolCurValue => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.7',
    hwEntityVolRatio => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.8',
    hwEntityVolLowAlmMajor => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.9',
    hwEntityVolLowAlmFatal => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.10',
    hwEntityVolHighAlmMajor => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.11',
    hwEntityVolHighAlmFatal => '1.3.6.1.4.1.2011.5.25.31.1.1.9.1.12',
    hwFanStatusTable => '1.3.6.1.4.1.2011.5.25.31.1.1.10',
    hwFanStatusEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1',
    hwEntityFanSlot => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.1',
    hwEntityFanSn => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.2',
    hwEntityFanReg => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.3',
    hwEntityFanRegDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityFanReg',
    hwEntityFanSpdAdjMode => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.4',
    hwEntityFanSpdAdjModeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityFanSpdAdjMode',
    hwEntityFanSpeed => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.5',
    hwEntityFanPresent => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.6',
    hwEntityFanPresentDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityFanPresent',
    hwEntityFanState => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.7',
    hwEntityFanStateDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityFanState',
    hwEntityFanDesc => '1.3.6.1.4.1.2011.5.25.31.1.1.10.1.8',
    hwEntityGlobalPara => '1.3.6.1.4.1.2011.5.25.31.1.1.11',
    hwEntityServiceType => '1.3.6.1.4.1.2011.5.25.31.1.1.11.1',
    hwEntityServiceTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityServiceType',
    hwDeviceServiceType => '1.3.6.1.4.1.2011.5.25.31.1.1.11.2',
    hwEntityManufacturerOUI => '1.3.6.1.4.1.2011.5.25.31.1.1.11.3',
    hwPortBip8StatisticsTable => '1.3.6.1.4.1.2011.5.25.31.1.1.12',
    hwPortBip8StatisticsEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1',
    hwPhysicalPortBip8StatisticsEB => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.1',
    hwPhysicalPortBip8StatisticsES => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.2',
    hwPhysicalPortBip8StatisticsSES => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.3',
    hwPhysicalPortBip8StatisticsUAS => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.4',
    hwPhysicalPortBip8StatisticsBBE => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.5',
    hwPhysicalPortSpeed => '1.3.6.1.4.1.2011.5.25.31.1.1.12.1.6',
    hwStorageEntTable => '1.3.6.1.4.1.2011.5.25.31.1.1.13',
    hwStorageEntEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1',
    hwStorageEntIndex => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.1',
    hwStorageEntType => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.2',
    hwStorageEntSpace => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.3',
    hwStorageEntSpaceFree => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.4',
    hwStorageEntName => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.5',
    hwStorageEntDescr => '1.3.6.1.4.1.2011.5.25.31.1.1.13.1.6',
    hwSystemPowerTable => '1.3.6.1.4.1.2011.5.25.31.1.1.14',
    hwSystemPowerEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1',
    hwSystemPowerDeviceID => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1.1',
    hwSystemPowerTotalPower => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1.2',
    hwSystemPowerUsedPower => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1.3',
    hwSystemPowerRemainPower => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1.4',
    hwSystemPowerReservedPower => '1.3.6.1.4.1.2011.5.25.31.1.1.14.1.5',
    hwBatteryInfoTable => '1.3.6.1.4.1.2011.5.25.31.1.1.15',
    hwBatteryInfoEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1',
    hwBatteryState => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.1',
    hwBatteryStateDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwBatteryState',
    hwBatteryTemperatureLow => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.2',
    hwBatteryTemperatureHigh => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.3',
    hwBatteryRemainPercent => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.4',
    hwBatteryRemainTime => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.5',
    hwBatteryElecTimes => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.6',
    hwBatteryLifeThreshold => '1.3.6.1.4.1.2011.5.25.31.1.1.15.1.7',
    hwGPSLocationInfo => '1.3.6.1.4.1.2011.5.25.31.1.1.16',
    hwGPSLongitude => '1.3.6.1.4.1.2011.5.25.31.1.1.16.1',
    hwGPSLatitude => '1.3.6.1.4.1.2011.5.25.31.1.1.16.2',
    hwGPSVelocity => '1.3.6.1.4.1.2011.5.25.31.1.1.16.3',
    hwAdmPortTable => '1.3.6.1.4.1.2011.5.25.31.1.1.17',
    hwAdmPortEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.17.1',
    hwAdmPortDescription => '1.3.6.1.4.1.2011.5.25.31.1.1.17.1.1',
    hwPwrStatusTable => '1.3.6.1.4.1.2011.5.25.31.1.1.18',
    hwPwrStatusEntry => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1',
    hwEntityPwrSlot => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.1',
    hwEntityPwrSn => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.2',
    hwEntityPwrReg => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.3',
    hwEntityPwrRegDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityPwrReg',
    hwEntityPwrMode => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.4',
    hwEntityPwrModeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityPwrMode',
    hwEntityPwrPresent => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.5',
    hwEntityPwrPresentDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityPwrPresent',
    hwEntityPwrState => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.6',
    hwEntityPwrStateDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityPwrState',
    hwEntityPwrCurrent => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.7',
    hwEntityPwrVoltage => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.8',
    hwEntityPwrDesc => '1.3.6.1.4.1.2011.5.25.31.1.1.18.1.9',
    hwEntityPhysicalSpecTable => '1.3.6.1.4.1.2011.5.25.31.1.2',
    hwEntityPhysicalSpecRack => '1.3.6.1.4.1.2011.5.25.31.1.2.1',
    hwEntityPhysicalSpecFrame => '1.3.6.1.4.1.2011.5.25.31.1.2.2',
    hwEntityPhysicalSpecSlot => '1.3.6.1.4.1.2011.5.25.31.1.2.3',
    hwEntityPhysicalSpecBoard => '1.3.6.1.4.1.2011.5.25.31.1.2.4',
    hwEntityPhysicalSpecSubSlot => '1.3.6.1.4.1.2011.5.25.31.1.2.5',
    hwEntityPhysicalSpecSubBoard => '1.3.6.1.4.1.2011.5.25.31.1.2.6',
    hwEntityPhysicalSpecPort => '1.3.6.1.4.1.2011.5.25.31.1.2.7',
    hwEntityPhysicalSpecEmu => '1.3.6.1.4.1.2011.5.25.31.1.2.8',
    hwEntityPhysicalSpecPowerframe => '1.3.6.1.4.1.2011.5.25.31.1.2.9',
    hwEntityPhysicalSpecPowermodule => '1.3.6.1.4.1.2011.5.25.31.1.2.10',
    hwEntityPhysicalSpecBattery => '1.3.6.1.4.1.2011.5.25.31.1.2.11',
    hwEntityExtTraps => '1.3.6.1.4.1.2011.5.25.31.2',
    hwEntityExtTrapsPrefix => '1.3.6.1.4.1.2011.5.25.31.2.0',
    hwEntityExtTrapObject => '1.3.6.1.4.1.2011.5.25.31.2.1',
    hwEntityExtTrapBaseSoftwareVersion => '1.3.6.1.4.1.2011.5.25.31.2.1.1',
    hwEntityExtTrapBoardSoftwareVersion => '1.3.6.1.4.1.2011.5.25.31.2.1.2',
    hwPhysicalName => '1.3.6.1.4.1.2011.5.25.31.2.1.3',
    hwEntityExtTrap => '1.3.6.1.4.1.2011.5.25.31.2.2',
    hwDevicePowerInfoObjects => '1.3.6.1.4.1.2011.5.25.31.3',
    hwDevicePowerInfoTotalPower => '1.3.6.1.4.1.2011.5.25.31.3.1',
    hwDevicePowerInfoUsedPower => '1.3.6.1.4.1.2011.5.25.31.3.2',
    hwEntityExtConformance => '1.3.6.1.4.1.2011.5.25.31.4',
    hwEntityExtCompliances => '1.3.6.1.4.1.2011.5.25.31.4.1',
    hwEntityExtGroups => '1.3.6.1.4.1.2011.5.25.31.4.2',
    hwPnpObjects => '1.3.6.1.4.1.2011.5.25.31.5',
    hwPnpInfo => '1.3.6.1.4.1.2011.5.25.31.5.1',
    hwHardwareCapaSequenceNo => '1.3.6.1.4.1.2011.5.25.31.5.1.1',
    hwAlarmPnPSequenceNo => '1.3.6.1.4.1.2011.5.25.31.5.1.2',
    hwPnpTraps => '1.3.6.1.4.1.2011.5.25.31.5.2',
    hwPnpOperateTable => '1.3.6.1.4.1.2011.5.25.31.5.3',
    hwPnpOperateEntry => '1.3.6.1.4.1.2011.5.25.31.5.3.1',
    hwFileGeneIndex => '1.3.6.1.4.1.2011.5.25.31.5.3.1.1',
    hwFileGeneOperState => '1.3.6.1.4.1.2011.5.25.31.5.3.1.2',
    hwFileGeneOperStateDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwFileGeneOperState',
    hwFileGeneResourceType => '1.3.6.1.4.1.2011.5.25.31.5.3.1.3',
    hwFileGeneResourceTypeDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwFileGeneResourceType',
    hwFileGeneResourceID => '1.3.6.1.4.1.2011.5.25.31.5.3.1.4',
    hwFileGeneDestinationFile => '1.3.6.1.4.1.2011.5.25.31.5.3.1.5',
    hwFileGeneRowStatus => '1.3.6.1.4.1.2011.5.25.31.5.3.1.6',
    hwSystemGlobalObjects => '1.3.6.1.4.1.2011.5.25.31.6',
    hwEntitySystemNetID => '1.3.6.1.4.1.2011.5.25.31.6.1',
    hwEntitySoftwareName => '1.3.6.1.4.1.2011.5.25.31.6.2',
    hwEntitySoftwareVersion => '1.3.6.1.4.1.2011.5.25.31.6.3',
    hwEntitySoftwareVendor => '1.3.6.1.4.1.2011.5.25.31.6.4',
    hwEntitySystemModel => '1.3.6.1.4.1.2011.5.25.31.6.5',
    hwEntitySystemTime => '1.3.6.1.4.1.2011.5.25.31.6.6',
    hwEntitySystemMacAddress => '1.3.6.1.4.1.2011.5.25.31.6.7',
    hwEntitySystemReset => '1.3.6.1.4.1.2011.5.25.31.6.8',
    hwEntitySystemResetDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntitySystemReset',
    hwEntitySystemHealthInterval => '1.3.6.1.4.1.2011.5.25.31.6.9',
    hwEntitySystemNEId => '1.3.6.1.4.1.2011.5.25.31.6.10',
    hwEntitySystemServiceType => '1.3.6.1.4.1.2011.5.25.31.6.11',
    hwHeartbeatObjects => '1.3.6.1.4.1.2011.5.25.31.7',
    hwHeartbeatConfig => '1.3.6.1.4.1.2011.5.25.31.7.1',
    hwEntityHeartbeatOnOff => '1.3.6.1.4.1.2011.5.25.31.7.1.1',
    hwEntityHeartbeatOnOffDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwEntityHeartbeatOnOff',
    hwEntityHeartbeatPeriod => '1.3.6.1.4.1.2011.5.25.31.7.1.2',
    hwHeartbeatTrapPrefix => '1.3.6.1.4.1.2011.5.25.31.7.2',
    hwPreDisposeObjects => '1.3.6.1.4.1.2011.5.25.31.8',
    hwPreDisposeInfo => '1.3.6.1.4.1.2011.5.25.31.8.1',
    hwPreDisposeSequenceNo => '1.3.6.1.4.1.2011.5.25.31.8.1.1',
    hwPreDisposedTraps => '1.3.6.1.4.1.2011.5.25.31.8.2',
    hwPreDisposeConfigTable => '1.3.6.1.4.1.2011.5.25.31.8.3',
    hwPreDisposeConfigEntry => '1.3.6.1.4.1.2011.5.25.31.8.3.1',
    hwDisposeSlot => '1.3.6.1.4.1.2011.5.25.31.8.3.1.1',
    hwDisposeCardId => '1.3.6.1.4.1.2011.5.25.31.8.3.1.2',
    hwDisposeSbom => '1.3.6.1.4.1.2011.5.25.31.8.3.1.3',
    hwDisposeRowStatus => '1.3.6.1.4.1.2011.5.25.31.8.3.1.4',
    hwDisposeOperState => '1.3.6.1.4.1.2011.5.25.31.8.3.1.5',
    hwDisposeOperStateDefinition => 'HUAWEI-ENTITY-EXTENT-MIB::hwDisposeOperState',
    hwPreDisposeEntInfoTable => '1.3.6.1.4.1.2011.5.25.31.8.4',
    hwPreDisposeEntInfoEntry => '1.3.6.1.4.1.2011.5.25.31.8.4.1',
    hwDisposeEntPhysicalIndex => '1.3.6.1.4.1.2011.5.25.31.8.4.1.1',
    hwDisposeEntPhysicalDescr => '1.3.6.1.4.1.2011.5.25.31.8.4.1.2',
    hwDisposeEntPhysicalVendorType => '1.3.6.1.4.1.2011.5.25.31.8.4.1.3',
    hwDisposeEntPhysicalContainedIn => '1.3.6.1.4.1.2011.5.25.31.8.4.1.4',
    hwDisposeEntPhysicalClass => '1.3.6.1.4.1.2011.5.25.31.8.4.1.5',
    hwDisposeEntPhysicalParentRelPos => '1.3.6.1.4.1.2011.5.25.31.8.4.1.6',
    hwDisposeEntPhysicalName => '1.3.6.1.4.1.2011.5.25.31.8.4.1.7',
    hwOSPUnifyManageObjects => '1.3.6.1.4.1.2011.5.25.31.9',
    hwEntityExtOSPTrapsPrefix => '1.3.6.1.4.1.2011.5.25.31.9.1',
};

my $definitions_work_in_progress = {
#$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'HUAWEI-ENTITY-EXTENT-MIB'} = {
    HwAdminState => {
      '1' => 'notSupported',
      '2' => 'locked',
      '3' => 'shuttingDown',
      '4' => 'unlocked',
      '11' => 'up',
      '12' => 'down',
      '13' => 'loopback',
    },
    HwOperState => {
      '1' => 'notSupported',
      '2' => 'disabled',
      '3' => 'enabled',
      '4' => 'offline',
      '11' => 'up',
      '12' => 'down',
      '13' => 'connect',
      '15' => 'protocolUp',
      '16' => 'linkUp',
      '17' => 'linkDown',
    },
    HwStandbyStatus => {
      '1' => 'notSupported',
      '2' => 'hotStandby',
      '3' => 'coldStandby',
      '4' => 'providingService',
    },
    hwEntitySupportFlexCard => {
      '1' => 'notSupported',
      '2' => 'flexible',
      '3' => 'unflexible',
      '4' => 'dummy',
    },
    hwEntityDuplex => {
      '1' => 'notSupported',
      '2' => 'full',
      '3' => 'half',
    },
    hwEntityVolStatus => {
      '1' => 'normal',
      '2' => 'major',
      '3' => 'fatal',
    },
    hwDisposeOperState => {
      '1' => 'opSuccess',
      '2' => 'opInProgress',
      '3' => 'opDevNotSupportPredispose',
      '4' => 'opCardNotSupportPredispose',
      '5' => 'opAlreadyPredispose',
      '6' => 'opCardConflict',
      '7' => 'opDevOperationError',
    },
    hwEntityFanReg => {
      '1' => 'yes',
      '2' => 'no',
    },
    hwVirtualCableTestPairAStatus => {
      '1' => 'normal',
      '2' => 'abnormalOpen',
      '3' => 'abnormalShort',
      '4' => 'abnormalOpenShort',
      '5' => 'abnormalCrossTalk',
      '6' => 'unknown',
      '7' => 'notSupport',
    },
    hwFileGeneResourceType => {
      '1' => 'pnpcard',
      '2' => 'pnpsubcard',
      '3' => 'pnphardcapability',
      '4' => 'pnpPreDisposeCapability',
      '5' => 'pnpframe',
      '6' => 'pnpdevtype',
      '7' => 'pnpalarm',
    },
    hwEntityOpticalDirectionType => {
      '1' => 'notSupported',
      '2' => 'twoFiberBidirection',
      '3' => 'oneFiberBidirection',
      '4' => 'twoFiberTwoPortBidirection',
    },
    hwEntityPortType => {
      '1' => 'notSupported',
      '2' => 'copper',
      '3' => 'fiber100',
      '4' => 'fiber1000',
      '5' => 'fiber10000',
      '6' => 'opticalnotExist',
      '7' => 'optical',
    },
    hwEntityTempStatus => {
      '1' => 'normal',
      '2' => 'minor',
      '3' => 'major',
      '4' => 'fatal',
    },
    hwEntityOpticalFiberType => {
      '0' => 'unknown',
      '1' => 'sc',
      '2' => 'style1CopperConnector',
      '3' => 'style2CopperConnector',
      '4' => 'bncTnc',
      '5' => 'coaxialHeaders',
      '6' => 'fiberJack',
      '7' => 'lc',
      '8' => 'mtRj',
      '9' => 'mu',
      '10' => 'sg',
      '11' => 'opticalPigtail',
      '12' => 'mpo',
      '20' => 'hssdcII',
      '21' => 'copperPigtail',
    },
    hwEntityPwrState => {
      '1' => 'supply',
      '2' => 'notSupply',
      '3' => 'sleep',
      '4' => 'unknown',
    },
    hwEntityPwrPresent => {
      '1' => 'present',
      '2' => 'absent',
    },
    hwVirtualCableTestOperation => {
      '1' => 'startTest',
      '2' => 'resetTestValue',
      '3' => 'readyStartTest',
    },
    hwEntityStartMode => {
      '1' => 'notSupported',
      '2' => 'cold',
      '3' => 'warm',
      '4' => 'unknown',
    },
    hwFileGeneOperState => {
      '1' => 'opInProgress',
      '2' => 'opSuccess',
      '3' => 'opGetFileError',
      '4' => 'opInvalidDestName',
      '5' => 'opNoFlashSpace',
      '6' => 'opWriteFileError',
      '7' => 'opDestoryError',
    },
    hwEntityPwrMode => {
      '1' => 'unknown',
      '2' => 'dc',
      '3' => 'ac',
    },
    hwEntityOpticalPlug => {
      '0' => 'notSupported',
      '1' => 'true',
      '2' => 'false',
    },
    hwEntityFanState => {
      '1' => 'normal',
      '2' => 'abnormal',
    },
    hwEntityBoardClass => {
      '1' => 'notSupported',
      '2' => 'mpu',
      '3' => 'lpu',
      '4' => 'sfu',
      '5' => 'icu',
      '6' => 'ecu',
      '7' => 'fan',
      '8' => 'power',
      '9' => 'lcd',
      '10' => 'pmu',
      '11' => 'cmu',
    },
    hwVirtualCableTestPairCStatus => {
      '1' => 'normal',
      '2' => 'abnormalOpen',
      '3' => 'abnormalShort',
      '4' => 'abnormalOpenShort',
      '5' => 'abnormalCrossTalk',
      '6' => 'unknown',
      '7' => 'notSupport',
    },
    hwEntityPwrReg => {
      '1' => 'yes',
      '2' => 'no',
    },
    hwEntityFaultLight => {
      '1' => 'notSupported',
      '2' => 'normal',
      '3' => 'underRepair',
    },
    hwEntityFanPresent => {
      '1' => 'present',
      '2' => 'absent',
    },
    hwEntityFanSpdAdjMode => {
      '1' => 'auto',
      '2' => 'manual',
      '3' => 'unknown',
    },
    hwVirtualCableTestPairBStatus => {
      '1' => 'normal',
      '2' => 'abnormalOpen',
      '3' => 'abnormalShort',
      '4' => 'abnormalOpenShort',
      '5' => 'abnormalCrossTalk',
      '6' => 'unknown',
      '7' => 'notSupport',
    },
    hwEntitySystemReset => {
      '1' => 'normal',
      '2' => 'restart',
    },
    hwEntityOpticalAuthenticationStatus => {
      '0' => 'unknown',
      '1' => 'authenticated',
      '2' => 'unauthenticated',
    },
    hwEntityOpticalWaveBand => {
      '0' => 'unknown',
      '1' => 'clBand',
      '2' => 'cBand',
      '3' => 'lBand',
      '4' => 'c32Band',
      '5' => 'ramancBand',
      '6' => 'ramanlBand',
      '7' => 'cwdmBand',
      '8' => 'smcBand',
      '9' => 'c96bBand',
      '10' => 'c192bBand',
    },
    hwEntityOpticalMode => {
      '1' => 'notSupported',
      '2' => 'singleMode',
      '3' => 'multiMode5',
      '4' => 'multiMode6',
      '5' => 'noValue',
    },
    hwVirtualCableTestPairStatus => {
      '1' => 'normal',
      '2' => 'abnormalOpen',
      '3' => 'abnormalShort',
      '4' => 'abnormalOpenShort',
      '5' => 'abnormalCrossTalk',
      '6' => 'unknown',
      '7' => 'notSupport',
    },
    hwBatteryState => {
      '1' => 'charge',
      '2' => 'discharge',
      '3' => 'full',
      '4' => 'abnormal',
    },
    hwEntityServiceType => {
      '1' => 'sslvpn',
      '2' => 'firewall',
      '3' => 'loadBalance',
      '4' => 'ipsec',
      '5' => 'netstream',
      '6' => 'wlan',
    },
    hwEntityOpticalType => {
      '0' => 'unknown',
      '1' => 'sc',
      '2' => 'gbic',
      '3' => 'sfp',
      '4' => 'esfp',
      '5' => 'rj45',
      '6' => 'xfp',
      '7' => 'xenpak',
      '8' => 'transponder',
      '9' => 'cfp',
      '10' => 'smb',
      '11' => 'sfpplus',
      '12' => 'cxp',
      '13' => 'qsfp',
      '14' => 'qsfpplus',
      '15' => 'cfp2',
      '16' => 'dwdmsfp',
    },
    hwVirtualCableTestPairDStatus => {
      '1' => 'normal',
      '2' => 'abnormalOpen',
      '3' => 'abnormalShort',
      '4' => 'abnormalOpenShort',
      '5' => 'abnormalCrossTalk',
      '6' => 'unknown',
      '7' => 'notSupport',
    },
    hwEntityHeartbeatOnOff => {
      '1' => 'on',
      '2' => 'off',
    },
    hwEntityOpticalTunableType => {
      '1' => 'notSupported',
      '2' => 'notTunable',
      '3' => 'tunable',
      '4' => 'supportTunableType',
    },
};
  if ($self->mode =~ /device::hardware::health/) {
    $self->analyze_and_check_environmental_subsystem("Classes::Huawei::Component::EnvironmentalSubsystem");
  } elsif ($self->mode =~ /device::hardware::load/) {
    $self->analyze_and_check_cpu_subsystem("Classes::Huawei::Component::CpuSubsystem");
  } elsif ($self->mode =~ /device::hardware::memory/) {
    $self->analyze_and_check_mem_subsystem("Classes::Huawei::Component::MemSubsystem");
  } else {
    $self->no_such_mode();
  }
}

__END__
foreach my $ding (qw(
hwEntityStateTable
hwRUModuleInfoTable
hwOpticalModuleInfoTable
hwMonitorInputTable
hwMonitorOutputTable
hwEntPowerUsedInfoTable
hwVirtualCableTestTable
hwTemperatureThresholdTable
hwVoltageInfoTable
hwFanStatusTable
hwPortBip8StatisticsTable
hwStorageEntTable
hwSystemPowerTable
hwBatteryInfoTable
hwAdmPortTable
hwPwrStatusTable
hwEntityPhysicalSpecTable
hwPnpOperateTable
hwPreDisposeConfigTable
hwPreDisposeEntInfoTable)) {
    $self->get_snmp_tables('HUAWEI-ENTITY-EXTENT-MIB', [
#      [$ding, $ding, 'Monitoring::GLPlugin::SNMP::TableItem'],
    ]);
}

